{% extends "organization/layout_organization.html" %}
{% load bootstrap %}
{% load i18n %}

{% block page_content_title %}
    <div class="">
        <a href="{% url "my_unit_list" organization.slug %}" class="btn">
            <span class="icon-arrow-left"></span>
            {% trans "Back to Organization units" %}
        </a>
    </div>
    <h2>
        {{ unit.name }}
        <small>{% trans "organization unit" %}</small>
    </h2>
{% endblock %}

{% block page %}

    <div class="page-section">
        <div class="page-section-header">
            <h2>
                {% trans "Edit organization unit" %}
            </h2>
        </div>

        <div class="page-section-content">
            <form method="post" class="form form-horizontal">
                {% csrf_token %}

                {{ form|bootstrap_horizontal }}

                <div class="form-group">
                    <div class="col-sm-offset-2 col-sm-10">
                        <div class="">
                            <button type="submit" class="btn btn-primary">
                                {% trans 'Save' %}
                            </button>
                            <a href="{% url "my_unit" organization.slug unit.pk %}" class="btn">
                                {% trans "Cancel" %}
                            </a>
                        </div>
                    </div>
                </div>
            </form>
        </div>

    </div>

    <div class="well">
        <a href="{% url "my_unit_delete" organization.slug unit.pk %}" class="btn btn-danger pull-right">
            <span class="{{ ICONS.delete }}"></span>
            {% trans "Delete organization unit" %}
        </a>
        <span class="icon-warning-sign pull-left icon-3x"></span>
        <strong>Be careful, this cannot be undone!</strong>
        <p>
            Deleting this unit will also delete all products under it <strong>AND</strong> all
            assessments connected to them!
        </p>
    </div>

{% endblock %}


{% block after_page %}
{% endblock %}
